> For the complete documentation index, see [llms.txt](https://docs.frends.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.frends.com/tasks/tasks/linkedin/searchadcreatives.md).

# SearchAdCreatives

Frends Task for searching AdCreatives from LinkedInAds.

Task version: 1.1.0

Required Frends version: 5.1+

Required .NET version: 471, 6.0, standard2.0

Compatible Agents: Legacy, Crossplatform

Source code: <https://github.com/FrendsPlatform/Frends.LinkedIn/tree/main/Frends.LinkedIn.SearchAdCreatives>

## Task Parameters

{% tabs %}
{% tab title="Filter" %}

| Name                             | Description                                                                                                                                                                                                                                                   |
| -------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| AdAccountId : `String`           | <p>Ad Account Id. This is necessary for the search to work.</p><p><br>Default: <code>-</code><br>Example: <code>506333826</code></p>                                                                                                                          |
| GetSingleCreative : `Boolean`    | <p>If enabled, search is done for singular AdCreative with AdCreativeUrn.</p><p><br>Default: <code>False</code><br>Example: <code>true</code></p>                                                                                                             |
| AdCreativeUrn : `String`         | <p>Urn for the AdCreative to be searched.</p><p><br>Default: <code>-</code><br>Example: <code>-</code></p>                                                                                                                                                    |
| AdCampaignUrns : `AdCampaign[]`  | <p>Searches for an creatives by campaign Urns.</p><p><br>Default: <code>-</code><br>Example: <code>\[ AdCampaign { urn</code><span data-gb-custom-inline data-tag="emoji" data-code="1f1f1-1f1ee">🇱🇮</span><code>sponsoredCampaign:360035215 } ]</code></p> |
| AdCreativesUrns : `AdCreative[]` | <p>Searches for an creatives by creative Urns.</p><p><br>Default: <code>-</code><br>Example: <code>\[ AdCreative { urn%3Ali%3AsponsoredCreative%3A119962155 } ]</code></p>                                                                                    |
| {% endtab %}                     |                                                                                                                                                                                                                                                               |

{% tab title="Options" %}

| Name                                               | Description                                                                                                                                                                                                                                                                                                                     |
| -------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| LinkedInAPIVersion : `String`                      | <p>Version of the API used in the request.</p><p>API versions should have date format as YYYYMM or YYYYMM.RR where RR is the revision.</p><p>More information: <https://learn.microsoft.com/en-us/linkedin/marketing/versioning?view=li-lms-2023-09></p><p><br>Default: <code>202309</code><br>Example: <code>202309</code></p> |
| 🗝Token : `String`                                 | <p>Bearer token to be used for requests. Token will be added as Authorization header.</p><p><br>Default: <code>-</code><br>Example: <code>xRqjX\_9QXZlvRL6HZHJvbrubhvceV4NFccANh6RwndmAJDkPfP...</code></p>                                                                                                                     |
| ConnectionTimeoutSeconds : `Int32`                 | <p>Timeout in seconds to be used for the connection and operation.</p><p><br>Default: <code>30</code><br>Example: <code>30</code></p>                                                                                                                                                                                           |
| FollowRedirects : `Boolean`                        | <p>If FollowRedirects is set to false, all responses with an HTTP status code from 300 to 399 is returned to the application.</p><p><br>Default: <code>True</code><br>Example: <code>true</code></p>                                                                                                                            |
| AllowInvalidCertificate : `Boolean`                | <p>Do not throw an exception on certificate error.</p><p><br>Default: <code>-</code><br>Example: <code>true</code></p>                                                                                                                                                                                                          |
| AllowInvalidResponseContentTypeCharSet : `Boolean` | <p>Some Api's return faulty content-type charset header. This setting overrides the returned charset.</p><p><br>Default: <code>-</code><br>Example: <code>true</code></p>                                                                                                                                                       |
| ThrowExceptionOnErrorResponse : `Boolean`          | <p>Throw exception if return code of request is not successfull.</p><p><br>Default: <code>-</code><br>Example: <code>true</code></p>                                                                                                                                                                                            |
| AutomaticCookieHandling : `Boolean`                | <p>If set to false, cookies must be handled manually. Defaults to true.</p><p><br>Default: <code>True</code><br>Example: <code>true</code></p>                                                                                                                                                                                  |
| {% endtab %}                                       |                                                                                                                                                                                                                                                                                                                                 |
| {% endtabs %}                                      |                                                                                                                                                                                                                                                                                                                                 |

## Task Result

| Name                                   | Description                                                                                                                                                                                                       |
| -------------------------------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| Body : `Object`                        | <p>Body of response. Response body contains two properties: paging and elements.<br>Example: <code>{"paging": {"start": 0, "count":10, "links": \[], "total": 1}, "elements": \[{"totalBudget": ...}]}</code></p> |
| Headers : `Dictionary<String, String>` | <p>Headers of response<br>Example: <code>{\[ "content-type": "application/json", ... ]}</code></p>                                                                                                                |
| StatusCode : `Int32`                   | <p>Statuscode of response<br>Example: <code>200</code></p>                                                                                                                                                        |

## Task Changelog

Changelog for Task Frends.LinkedIn.SearchAdCreatives.

### \[1.1.0] - 2025-03-18

#### Changed

* Update packages: Newtonsoft.Json 12.0.3 -> 13.0.3 System.ComponentModel.Annotations 4.7.0 -> 5.0.0 System.Runtime.Caching 7.0.0 -> 9.0.3 coverlet.collector 3.1.2 -> 6.0.4 Microsoft.NET.Test.Sdk 16.6.1 -> 17.13.0 nunit 3.12.0 -> 4.3.2 NUnit3TestAdapter 3.17.0 -> 5.0.0

### \[1.0.0] - 2023-10-31

#### Added

* Initial implementation


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.frends.com/tasks/tasks/linkedin/searchadcreatives.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
